<?php

/**

 *Template Name: Blog Four Columns

 *

 * 

 * @package InterServer Portfolio

 */



get_header(); ?>



	<div id="primary" class="content-area blog-col col-xs-12 col-sm-12 col-md-12">

		<main id="main" class="site-main container" role="main">

		<div class="blog-four-grid">

		<?php $paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1;

			$query_args = array(

				'post_type' => 'post',

				'paged' => $paged,

				'orderby'=>'date',

				'order' =>'DESC'

			);

			$the_query = new WP_Query( $query_args ); 



			while ( $the_query->have_posts() ) : $the_query->the_post(); ?>

				

			    <div class="blog-full">

				<?php get_template_part( 'template-parts/content', 'blog' );?>

			   	</div><!--blog-full-->

          	<?php 

        	endwhile;

		 wp_reset_postdata(); ?>

		</div><!--blog-four-grid-->

    	 <?php interserver_portfolio_custom_pagination($the_query);?>

    </main><!-- #main -->

</div><!-- #primary -->



<?php get_footer(); ?>





